JavaScript
import Runloop from '@runloop/api-client';
const client = new Runloop({
bearerToken: process.env['RUNLOOP_API_KEY'], // This is the default and can be omitted
});
const secretView = await client.secrets.deleteById('id');
console.log(secretView.id);import os
from runloop_api_client import Runloop
client = Runloop(
bearer_token=os.environ.get("RUNLOOP_API_KEY"), # This is the default and can be omitted
)
secret_view = client.secrets.delete_by_id(
"id",
)
print(secret_view.id)curl --request POST \
--url https://api.runloop.ai/v1/secrets/id/{id}/delete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'
{
"id": "<string>",
"name": "<string>",
"create_time_ms": 123,
"update_time_ms": 123
}secrets
Delete a Secret by ID.
Delete an existing Secret by ID. This action is irreversible.
POST
/
v1
/
secrets
/
id
/
{id}
/
delete
JavaScript
import Runloop from '@runloop/api-client';
const client = new Runloop({
bearerToken: process.env['RUNLOOP_API_KEY'], // This is the default and can be omitted
});
const secretView = await client.secrets.deleteById('id');
console.log(secretView.id);import os
from runloop_api_client import Runloop
client = Runloop(
bearer_token=os.environ.get("RUNLOOP_API_KEY"), # This is the default and can be omitted
)
secret_view = client.secrets.delete_by_id(
"id",
)
print(secret_view.id)Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the Secret to delete.
Body
application/json
The body is of type object.
Response
Secret deleted successfully. Returns the deleted Secret (without value for security).
A Secret represents a key-value pair that can be securely stored and used in Devboxes as environment variables.
The unique identifier of the Secret.
The name of the Secret. Used as the environment variable name in Devboxes.
Creation time of the Secret (Unix timestamp in milliseconds).
Last update time of the Secret (Unix timestamp in milliseconds).
Was this page helpful?
